function [ new_pos ] = transition_model( pos, action_idx, world, actions )
%TRANSITION_MODEL move the agent using the given action

variance = 0.9;

a = mod(round(normrnd(action_idx-1, variance)), size(actions, 1))+1;
new_pos = pos + actions(a, :);
new_pos(new_pos < 1) = 1;
if (new_pos(1) > size(world,1)), new_pos(1) = size(world,1); end;
if (new_pos(2) > size(world,2)), new_pos(2) = size(world,2); end;

if (world(new_pos(1), new_pos(2)) == 2)
    new_pos = pos;
end

end

